#ifndef __OUT_EXT__
#define __OUT_EXT__

#include<stdlib.h>
#include<string.h> 
#include<math.h>

extern int nin_;
extern int nout_;
extern int nprc_;
extern int nvar_;
extern int nfunc_;

extern int pinf_(int nsub, int nprtcl, char* pname, double* pmass);
extern int vinf_(int numvar, char *name, double *val);
extern int asgn_(int numvar, double valnew);
extern double sqme_(int nsub, double * momenta, int * err);
extern int calcFunc(void);
extern int rwidth, gwidth;

#define  FUCTION_ERROR       1
#define  DENOMINATOR_ERROR   2
#define  COMPHEP_ZERO        (1.E-20)
#endif

